package com.muyu.etl.data.access.data.access.client;


import com.muyu.etl.data.access.data.access.client.config.DatabaseConnectionPool;
import com.zaxxer.hikari.HikariDataSource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/9
 * @Description: 数据源池
 * @Version: 1.0
 */
@Component
public class DataSourcePool {

    @Autowired
    private DatabaseConnectionPool databaseConnectionPool;


    public HikariDataSource getDataSource(Long dataSourceId) {
        return databaseConnectionPool.get(dataSourceId);
    }

    public Connection getConnection(HikariDataSource hikariDataSource) {
        return databaseConnectionPool.getConn(hikariDataSource);
    }

    public void returnConnection(Connection connection) {
        databaseConnectionPool.returnConnection(connection);
    }
}
