package com.muyu.etl.data.access.data.access.client.scope;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.concurrent.LinkedBlockingDeque;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/9
 * @Description: 作用域存儲配置對象
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskScopeConfig {

    /**
     * 任務ID
     */
    private String taskId;


    private LinkedBlockingDeque taskNodeQueue = new LinkedBlockingDeque();

    public void addTaskNode(Object obj){
        this.taskNodeQueue.add(obj);
    }

    public boolean hashTaskNodeNext(){
        return !taskNodeQueue.isEmpty();
    }

    private <T> T nextTaskNode(){
        return (T) taskNodeQueue.poll();
    }

}
