package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-21-20:34
 * @ Version：1.0
 * @ Description：资产授权
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "asset_accredit", autoResultMap = true)
public class AssetAccredit {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @Excel(name = "主键")
    @Schema(name = "id", title = "主键", type = "Long", description = "主键")
    private Long id;
    /**
     * 授权编号
     */
    @Excel(name = "授权编号")
    @Schema(name = "accreditId", title = "授权编号", type = "String", description = "授权编号")
    private String accreditId;
    /**
     * 授权数据
     */
    @Schema(name = "dataId", title = "授权数据", type = "Long", description = "授权数据")
    private Long dataId;
    /**
     * 授权类型 用户/部门
     */
    @Schema(name = "idType", title = "授权类型", type = "String", description = "授权类型")
    private String idType;

    /**
     * 授权数据类型 1:数据源 2:表
     */
    @Schema(name = "dataType", title = "授权数据类型", type = "String", description = "授权数据类型")
    private String dataType;

}
