package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-20-14:58
 * @ Version：1.0
 * @ Description：资产数据源
 */

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "asset_data_source", autoResultMap = true)
public class AssetDataSource extends BaseEntity {
    /**
     * 主键
     */
    @Excel(name = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 接入源名称
     */
    @Excel(name = "接入源名称")
    private String name;
    /**
     * 数据来源系统名称
     */
    @Excel(name = "数据来源系统名称")
    private String systemName;
    /**
     * 数据库名称
     */
    @Excel(name = "数据库名称")
    private String databaseName;
    /**
     * 前台展示类型
     */
    private String type;
}
