package com.muyu.source.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-02-18:57
 * @ Version：1.0
 * @ Description：用户
 */

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysUser extends BaseEntity {

    private static final long serialVersionUID = 1L;
    @Excel(
            name = "部门编号",
            targetAttr = "deptName",
            type = Excel.Type.EXPORT
    )
    private Long deptId;
    @Excel(
            name = "用户编号",
            targetAttr = "deptName",
            type = Excel.Type.EXPORT
    )
    private Long userId;
    @Excel(
            name = "登录名称"
    )
    private String userName;
    @Excel(
            name = "用户名称"
    )
    private String nickName;
    @Excel(
            name = "用户邮箱"
    )
    private String email;
    @Excel(
            name = "手机号码"
    )
    private String phonenumber;
    @Excel(
            name = "用户性别",
            readConverterExp = "0=男,1=女,2=未知"
    )
    private String sex;
    private String avatar;
    private String password;
    @Excel(
            name = "帐号状态",
            readConverterExp = "0=正常,1=停用"
    )
    private String status;
    private String delFlag;
    @Excel(
            name = "最后登录IP",
            type = Excel.Type.EXPORT
    )
    private String loginIp;
    @Excel(
            name = "最后登录时间",
            width = 30.0,
            dateFormat = "yyyy-MM-dd HH:mm:ss",
            type = Excel.Type.EXPORT
    )
    private Date loginDate;
}
