package com.muyu.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-20-15:02
 * @ Version：1.0
 * @ Description：表结构
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "table_data", autoResultMap = true)
public class TableData extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    @Excel(name = "主键")
    private Long id;
    /**
     * 字段名称
     */
    @Excel(name = "字段名称")
    private String name;
    /**
     * 字段注释
     */
    @Excel(name = "字段注释")
    private String comment;
    /**
     * 是否主键
     */
    @Excel(name = "是否主键")
    private String isPrimaryKey;
    /**
     * 字段类型
     */
    @Excel(name = "字段类型")
    private String type;
    /**
     * 映射类型
     */
    @Excel(name = "映射类型")
    private String mappingType;
    /**
     * 长度
     */
    @Excel(name = "长度")
    private Integer length;
    /**
     * 小数位
     */
    @Excel(name = "小数位")
    private Integer decimalPlaces;
    /**
     * 是否为空
     */
    @Excel(name = "是否为空")
    private String isNull;
    /**
     * 默认值
     */
    @Excel(name = "默认值")
    private String defaultValue;
    /**
     * 是否字典
     */
    @Excel(name = "是否字典")
    private String isDict;
    /**
     * 映射字典
     */
    @Excel(name = "映射字典")
    private String dictKey;
    /**
     * 数据库结构ID
     */
    @Excel(name = "数据库结构ID")
    private Long childrenId;

}
