package com.muyu.source.domain.resp;

import com.muyu.source.domain.DictData;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-22-17:28
 * @ Version：1.0
 * @ Description：数据字典
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DictDataResp {
    /**
     * 主键
     */
    @Schema(type = "Long",defaultValue = "主键",description = "主键")
    private Long id;

    /**
     * 字典名称
     */
    @Schema(type = "String",defaultValue = "字典名称",description = "字典名称")
    private String dictName;

    /**
     * 字典类型
     */
    @Schema(type = "String",defaultValue = "字典类型",description = "字典类型")
    private String dictType;

    /**
     * 数据源编号
     */
    @Schema(type = "String",defaultValue = "数据源编号",description = "数据源编号")
    private Integer assetId;

    /**
     * 字典数据集合
     */
    @Schema(type = "List",defaultValue = "字典数据集合",description = "字典数据集合")
    private List<DictData> dictData;
}
