package com.muyu.source.remote.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.source.core.DataValue;
import com.muyu.source.domain.model.DataValueModel;
import com.muyu.source.remote.remote.factory.RemoteEtlDataBackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 9:27
 * @注释
 */
@FeignClient(contextId = "remoteEtlDataService",
        value = ServiceNameConstants.SOURCE_SERVICE,
        path = "value",
        fallbackFactory = RemoteEtlDataBackFactory.class)
public interface RemoteEtlDataService {

    /**
     * 远调ktly格式数据
     */
    @PostMapping("/findTableValueBySql")
    Result<List<List<DataValue>>> selEtlData(@RequestBody DataValueModel etlDataSqlReq);

    /**
     * 根据基础表ID和SQL语句查询数据
     *
     * @param etlDataSqlReq 基础表ID和sql语句
     * @return DataValue{kltv}
     */
    @PostMapping("/addTableValueBy")
    Result addTableValue(@RequestBody DataValueModel etlDataSqlReq);

    /**
     * 根据基础表ID和SQL语句查询数据总数
     * @param etlDataSqlReq 基础表ID和sql语句
     * @return Integer
     */
    @PostMapping("/getTableTotal")
    Result getTableValueTotal(@RequestBody DataValueModel etlDataSqlReq);
}
