package com.muyu.source.remote.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.source.domain.TableInfo;
import com.muyu.source.domain.rep.TableInfoResp;
import com.muyu.source.remote.remote.factory.RemoteTableInfoBackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 10:56
 * @注释
 */
@FeignClient(
        contextId = "remoteTableInfoService",
        path = "tableInfo",
        value = ServiceNameConstants.SOURCE_SERVICE,
        fallbackFactory = RemoteTableInfoBackFactory.class)
public interface RemoteTableInfoService {

    @GetMapping("/findByTableName")
    Result<List<TableInfoResp>> findByTableName();

    @GetMapping("/getTableInfoDetails")
    Result<List<TableInfo>> getTableInfoDetails(Integer[] ids);

}
