package com.muyu.source.remote.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.source.domain.TableData;
import com.muyu.source.remote.remote.RemoteDataAnalysisService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 10:04
 * @注释
 */
@Component
public class RemoteDataAnalysisBackFactory implements FallbackFactory<RemoteDataAnalysisService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteDataAnalysisBackFactory.class);

    @Override
    public RemoteDataAnalysisService create(Throwable cause) {
        log.error("文件服务调用失败:{}", cause.getMessage());

        return new RemoteDataAnalysisService() {
            @Override
            public Result<List<TableData>> findDataAnalysisByTableId(Long id) {
                return Result.error("查询数据失败:"+cause.getMessage());
            }
        };
    }
}
