package com.muyu.source.remote.remote.factory;

import com.muyu.common.core.domain.Result;

import com.muyu.source.core.DataValue;
import com.muyu.source.domain.model.DataValueModel;
import com.muyu.source.remote.remote.RemoteEtlDataService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 10:04
 * @注释
 */
@Component
public class RemoteEtlDataBackFactory implements FallbackFactory<RemoteEtlDataService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteEtlDataBackFactory.class);


    @Override
    public RemoteEtlDataService create(Throwable cause) {
        log.error("文件服务调用失败:{}", cause.getMessage());

        return new RemoteEtlDataService() {
            @Override
            public Result<List<List<DataValue>>> selEtlData(DataValueModel etlDataSqlReq) {
                return Result.error("查询数据失败:"+cause.getMessage());
            }

            @Override
            public Result addTableValue(DataValueModel etlDataSqlReq) {
                return Result.error("查询数据失败:"+cause.getMessage());
            }

            @Override
            public Result getTableValueTotal(DataValueModel etlDataSqlReq) {
                return Result.error("查询数据失败:"+cause.getMessage());
            }
        };
    }
}
