package com.muyu.source.remote.remote.factory;

import com.muyu.common.core.domain.Result;

import com.muyu.source.domain.TableInfo;
import com.muyu.source.domain.rep.TableInfoResp;
import com.muyu.source.remote.remote.RemoteTableInfoService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 10:58
 * @注释
 */
@Component
public class RemoteTableInfoBackFactory implements FallbackFactory<RemoteTableInfoService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteTableInfoBackFactory.class);

    @Override
    public RemoteTableInfoService create(Throwable cause) {
        return new RemoteTableInfoService() {

            @Override
            public Result<List<TableInfoResp>> findByTableName() {
                return Result.error("获取数据库和表失败:"+cause.getMessage());
            }

            @Override
            public Result<List<TableInfo>> getTableInfoDetails(Integer[] ids) {
                return Result.error("获取数据库和表失败:"+cause.getMessage());
            }
        };
    }
}
