package com.muyu.source.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.source.domain.DataType;
import com.muyu.source.service.DataTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-23-20:02
 * @ Version：1.0
 * @ Description：数据库类型控制层
 */
@RestController
@RequestMapping("/type")
public class DataTypeController extends BaseController {
    @Autowired
    private DataTypeService dataTypeService;

    /**
     * 查询数据库类型所有信息
     * @return 数据库类型信息
     */
    @GetMapping("/getDataType")
    public Result getDataType(){
        List<DataType> list = dataTypeService.list();
        return Result.success(list);
    }
    @GetMapping("/getDataTypeByType/{type}")
    public Result getDataTypeByType(@PathVariable("type") String type){
        DataType dataType = dataTypeService.getOne(new LambdaQueryWrapper<>() {{
            eq(DataType::getType, type);
        }});
        return Result.success(dataType);
    }
}
