package com.muyu.source.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.source.domain.Structure;
import com.muyu.source.service.StructureService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-10-14:36
 * @ Version：1.0
 * @ Description：资产结构
 * @author Lenovo
 */
@RestController
@RequestMapping("/structure")
@Tag(name = "数据资产结构",description = "根据对应的表名称查询数据资产结构")
public class StructureController extends BaseController {
    @Resource
    private StructureService structureService;

    @Operation(summary = "数据资产结构",description = "根据表的ID查询表中数据资产结构")
    @PostMapping("/findDataAnalysisByTableId/{id}")
    public Result<List<Structure>> findDataAnalysisByTableId(@PathVariable("id") Long id){

        List<Structure> list = structureService.findStructureByTableId(id);
        return Result.success(list,"操作成功");
    }
}
