package com.muyu.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.source.domain.AssetAuthorization;
import com.muyu.source.domain.rep.AssetAuthorizationRep;
import com.muyu.source.domain.req.AssetAuthorizationReq;

import java.util.List;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-01-20:47
 * @ Version：1.0
 * @ Description：资产授权业务层
 * @author Lenovo
 */
public interface AssetAuthorizationService extends IService<AssetAuthorization> {

    /**
     * 查询授权的表ID和基本信息
     * @param userId 用户ID
     * @return 授权的表ID和基本信息
     */
    List<AssetAuthorizationRep> findTableIdAndBasicIdByUserId(Long userId);

    /**
     * 根据部门ID查询授权的表ID和基本信息
     * @param deptId 部门ID
     * @return 授权的表ID和基本信息
     */
    List<AssetAuthorizationRep> findTableIdAndBasicIdByDeptId(Long deptId);

    /**
     * 查询资产赋权用户信息
     * @param req 响应参数
     * @return 返回结果
     */

    List<Long> findUserIdList(AssetAuthorizationReq req);
    /**
     * 查询资产赋权部门信息
     * @param req 响应参数
     * @return 返回结果
     */
    List<Long> findDeptIdList(AssetAuthorizationReq req);

    /**
     * 删除用户权限方法
     * @param req 响应参数
     * @return  返回结果
     */
    int delUserAssetAccredit(AssetAuthorizationReq req);

    /**
     * 删除部门权限方法
     * @param req 响应参数
     * @return  返回结果
     */
    int delDeptAssetAccredit(AssetAuthorizationReq req);
}
