package com.muyu.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.source.domain.DataSource;

import java.util.List;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-20-20:06
 * @ Version：1.0
 * @ Description：数据源业务层
 */
public interface DataSourceService extends IService<DataSource> {

    /**
     * 精确查询数据源
     *
     * @param id 数据源主键
     * @return 数据源
     */
    public DataSource selectDataSourceById(Long id);

    /**
     * 查询数据源列表
     *
     * @param dataSource 数据源
     * @return 数据源集合
     */
    public List<DataSource> selectDataSourceList(DataSource dataSource);

    /**
     * 判断 数据源 id是否唯一
     * @param dataSource 数据源
     * @return 结果
     */
    Boolean checkIdUnique(DataSource dataSource);


    Boolean testConnection(DataSource dataSource);

    Integer syncAssetStructure(DataSource dataSource);





//    void synchronous(DataSource dataSource);
}
