package com.muyu.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.source.domain.DictData;
import com.muyu.source.domain.DictType;
import com.muyu.source.domain.req.DictTypeReq;
import com.muyu.source.domain.resp.DictDataResp;

import java.util.List;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-22-17:24
 * @ Version：1.0
 * @ Description：字典类型业务层
 */
public interface DictTypeService extends IService<DictType> {
    /**
     * 根据字典类型id查询字典数据
     *
     * @param id 字典类型id
     * @return 字典数据
     */
    List<DictDataResp> getDictDataList(Integer id);
    /**
     * 根据对象查询字典数据列表
     *
     * @param dictTypeReq
     * @return
     */

    List<DictData> getDictData(DictTypeReq dictTypeReq);
}
