package com.muyu.source.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.source.domain.AssetAccredit;
import com.muyu.source.domain.req.AssetAccreditQueryReq;
import com.muyu.source.mapper.AssetAccreditMapper;
import com.muyu.source.service.AssetAccreditService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-01-21:51
 * @ Version：1.0
 * @ Description：资产授权业务实现层
 * @author Lenovo
 */
@Service
public class AssetAccreditServiceImpl extends ServiceImpl<AssetAccreditMapper, AssetAccredit> implements AssetAccreditService {

    @Override
    public List<AssetAccredit> getList(AssetAccreditQueryReq assetAccreditQueryReq) {
        if(!StringUtils.isNotNull(assetAccreditQueryReq.getIdType())){
            throw new RuntimeException("授权类型不能为空");
        }
        if(!StringUtils.isNotNull(assetAccreditQueryReq.getDataType())){
            throw new RuntimeException("授权数据类型不能为空");
        }
        List<AssetAccredit> list = list(new LambdaQueryWrapper<>() {{
            eq(AssetAccredit::getIdType, assetAccreditQueryReq.getIdType())
                    .eq(AssetAccredit::getDataType, assetAccreditQueryReq.getDataType());
        }});
        return list;
    }
}
