package com.muyu.source.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.muyu.source.domain.Structure;
import com.muyu.source.mapper.StructureMapper;
import com.muyu.source.service.StructureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StructureServiceImpl extends ServiceImpl<StructureMapper, Structure> implements StructureService {
    @Autowired
    private StructureMapper structureMapper;

    @Override
    public List<Structure> findStructureList(Long id) {
        LambdaQueryWrapper<Structure> structureLambdaQueryWrapper = new LambdaQueryWrapper<>();
        structureLambdaQueryWrapper.eq(Structure::getTableId, id);
        List<Structure> list = this.list(structureLambdaQueryWrapper);
        return list;
    }

    @Override
    public List<Structure> findStructurelistS(Integer id) {
        LambdaQueryWrapper<Structure> structureLambdaQueryWrapper = new LambdaQueryWrapper<>();
        structureLambdaQueryWrapper.eq(Structure::getTableId, id);
        List<Structure> list = this.list(structureLambdaQueryWrapper);
        return list;
    }

    @Override
    public List<Long> findTableIdByStructureId(Long parentId) {
        List<Long> list = structureMapper.selectObjs(new LambdaQueryWrapper<>() {{
            eq(Structure::getTableId, parentId);
        }});
        return list;
    }

    @Override
    public List<Structure> findStructureByTableId(Long id) {
        LambdaQueryWrapper<Structure> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(Structure::getTableId,id);
        List<Structure> list = structureMapper.selectList(queryWrapper);
        return list;
    }
}

