package com.muyu.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.source.domain.Children;
import com.muyu.source.domain.TableData;

import java.util.List;

/**
 * @author Lenovo
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-08-21-19:53
 * @ Version：1.0
 * @ Description：表结构业务层
 */
public interface TableDataService extends IService<TableData> {
    /**
     * 精确查询结构
     *
     * @param id 结构主键
     * @return 结构
     */
    public TableData selectTableDataById(Long id);

    /**
     * 查询结构列表
     *
     * @param tableData 结构
     * @return 结构集合
     */
    public List<TableData> selectTableDataList(TableData tableData);

    /**
     * 判断 结构 id是否唯一
     * @param tableData 结构
     * @return 结果
     */
    Boolean checkIdUnique(TableData tableData);


//    List<TableData> findTableDataList(Long id);
}
