package com.muyu.source.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.source.domain.Structure;
import com.muyu.source.domain.TableInfo;
import com.muyu.source.domain.rep.TableInfoRep;


import java.util.List;

/**
 * @author Lenovo
 */
public interface TableInfoService extends IService<TableInfo> {
    /**
     * 根据表名查询表信息
     * @param tableInfoInsert 查询条件
     * @return TableInfo
     */

    TableInfo selectTableInfoByName(TableInfo tableInfoInsert);

    /**
     * 根据表id查询表结构
     * @param id id
     * @return List<Structure>
     */

    List<Structure> selectTableInfoById(Integer id);

    /**
     * 根据基础表id查询表名
     * @param id id
     * @return List<TableInfo>
     */
    List<TableInfo> findTableNameById(Long id);

    /**
     * 根据基础表id查询表id
     * @param basicId id
     * @return List<Long>
     */
    List<Long> findTableIdByParentId(Long basicId);

    List<TableInfo> selectById();


}
